import { SyncEditorDataRequest as SyncEditorDataRequest$1, SyncEditorDataResponse as SyncEditorDataResponse$1 } from './index.typings.js';

interface SyncEditorDataRequest {
    /** an optional filter for syncing the content */
    syncFilter?: SyncFilter;
}
interface SyncFilter {
    /**
     * content IETF BCP 47 language tag
     * @format LANGUAGE_TAG
     */
    languageTag?: string;
}
interface SyncEditorDataResponse {
}

type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
declare function syncEditorData(): __PublicMethodMetaInfo<'GET', {}, SyncEditorDataRequest$1, SyncEditorDataRequest, SyncEditorDataResponse$1, SyncEditorDataResponse>;

export { type __PublicMethodMetaInfo, syncEditorData };
