"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  syncEditorData: () => syncEditorData2
});
module.exports = __toCommonJS(meta_exports);

// src/multilingual-genericconverter-v1-entity-mapper-entity-mapper.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixMultilingualEditoradapterV1EditorAdapterUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/editoradapter/v1/component-mapper",
        destPath: "/v1"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_multilingual_entity-mapper";
function syncEditorData(payload) {
  function __syncEditorData({ host }) {
    const metadata = {
      entityFqdn: "wix.multilingual.genericconverter.v1.entity_mapper",
      method: "GET",
      methodFqn: "wix.multilingual.editoradapter.v1.EditorAdapter.SyncEditorData",
      packageName: PACKAGE_NAME,
      url: resolveWixMultilingualEditoradapterV1EditorAdapterUrl({
        protoPath: "/v1/pull_data",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __syncEditorData;
}

// src/multilingual-genericconverter-v1-entity-mapper-entity-mapper.meta.ts
function syncEditorData2() {
  const payload = {};
  const getRequestOptions = syncEditorData(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/pull_data",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  syncEditorData
});
//# sourceMappingURL=meta.js.map