// src/multilingual-genericconverter-v1-entity-mapper-entity-mapper.http.ts
import { toURLSearchParams } from "@wix/sdk-runtime/rest-modules";
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveWixMultilingualEditoradapterV1EditorAdapterUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/editoradapter/v1/component-mapper",
        destPath: "/v1"
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_multilingual_entity-mapper";
function syncEditorData(payload) {
  function __syncEditorData({ host }) {
    const metadata = {
      entityFqdn: "wix.multilingual.genericconverter.v1.entity_mapper",
      method: "GET",
      methodFqn: "wix.multilingual.editoradapter.v1.EditorAdapter.SyncEditorData",
      packageName: PACKAGE_NAME,
      url: resolveWixMultilingualEditoradapterV1EditorAdapterUrl({
        protoPath: "/v1/pull_data",
        data: payload,
        host
      }),
      params: toURLSearchParams(payload)
    };
    return metadata;
  }
  return __syncEditorData;
}

// src/multilingual-genericconverter-v1-entity-mapper-entity-mapper.meta.ts
function syncEditorData2() {
  const payload = {};
  const getRequestOptions = syncEditorData(
    payload
  );
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/pull_data",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
export {
  syncEditorData2 as syncEditorData
};
//# sourceMappingURL=meta.mjs.map